Announcement

Collapse
No announcement yet.

Legacy ATI fglrx Drivers on Fedora Core 6 Zod (DISCUSSION)

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #21
    g++ is with GCC. Do you have the development tools installed?
    Michael Larabel
    http://www.michaellarabel.com/

    Comment


    • #22
      Originally posted by Michael View Post
      g++ is with GCC. Do you have the development tools installed?
      i have gcc at least..

      [[email protected] ATI]# rpm -qa | grep gcc
      gcc-4.1.1-30
      libgcc-4.1.1-30

      I think I need gcc-c++ installed
      Last edited by jordandalley; 12-08-2006, 10:34 PM.

      Comment


      • #23
        Update:

        I successfully got it compiled and it made rpms on the old kernel. However in the new kernel is comes up with that CONFIG_HZ thing:

        include/linux/jiffies.h:385:6: warning: "CONFIG_HZ" is not defined
        include/linux/jiffies.h:385:6: warning: "CONFIG_HZ" is not defined
        include/linux/jiffies.h:385:6: error: division by zero in #if

        I really don't know quite where to go with this..


        I even tried the open source R200 drivers for the 8500LE and it gives the same result... this 'CONFIG_HZ' thing with jiffies.h....
        Last edited by jordandalley; 12-10-2006, 04:11 AM.

        Comment


        • #24
          Ok - First of all grab these rpm files:

          ATI-fglrx-8.28.8-1.fc6.i386.rpm
          ATI-fglrx-control-panel-8.28.8-1.fc6.i386.rpm
          ATI-fglrx-devel-8.28.8-1.fc6.i386.rpm

          Change ownership to root:

          # chown root:root *

          Install them:

          # rpm - ivh ATI-fglrx-8.28.8-1.fc6.i386.rpm
          # rpm -ivh ATI-fglrx-control-panel-8.28.8-1.fc6.i386.rpm
          # rpm -ivh ATI-fglrx-devel-8.28.8-1.fc6.i386.rpm

          If you get some kind of dependancy issue:

          # yum install libstdc++.so.5

          (and any other dependancies that might be missing)

          # fglrx_xgamma

          this is for changing your gamma settings....

          # fglrxinfo (this is for making sure its working)

          Now for the optimistic...

          # desktop-effects

          Unfortunatly this is as far as I managed to get... and found that this driver DOES NOT support desktop-effects due to the fact that fglrx display drivers do not support AIGLX / GLX_ext_texture_from_pixmap - R200 - should be different for other ATI cards but anything in the 8500 series isnt looking desktop-effects friendly right now... there is always the XGL with Compiz option but XGL is really quite a sacrifice to performance.

          # fireglcontrolpanel

          if this fires up then ur using the driver...
          Last edited by mrhassell; 12-10-2006, 06:20 AM.

          Comment


          • #25
            Originally posted by mrhassell View Post
            # fireglcontrolpanel

            if this fires up then ur using the driver...
            Actually that isn't entirely the case. fireglcontrolpanel can be installed and will launch while showing Mesa as the OpenGL renderer instead of ATI.
            Michael Larabel
            http://www.michaellarabel.com/

            Comment


            • #26
              Originally posted by Michael View Post
              Actually that isn't entirely the case. fireglcontrolpanel can be installed and will launch while showing Mesa as the OpenGL renderer instead of ATI.
              Well by all accounts the driver is now working! fireglcontrolpanel loads up showing driver 8.28.08 and mesa 1.2. Seems to be working good

              Might have to upgrade my card later on to something newer..

              Comment


              • #27
                How much for your old card?

                Jordan - happy to help out mate!

                Michael - It sounds like you are on the money and as I was doing this over an SSH session and could not launch an X session... I was only making sure that the driver install was possible as I spent about 5 hours trying to figure this from source (which kept forking obscure errors), once I had some success with the RPM method, it occured to me to be a good idea to post this in so it may save other people facing a similar problem some time in the future.

                I'm going to go and buy an old ATI card now.. hey Jordan how much mate?

                Comment


                • #28
                  I am unable to load the FGLRX kernel module for some reason.

                  [[email protected] ~]# modprobe -i fglrx
                  FATAL: Error inserting fglrx (/lib/modules/2.6.18-1.2849.fc6PAE/extra/fglrx/fglrx.ko): Unknown symbol in module, or unknown parameter (see dmesg)
                  [[email protected] ~]# dmesg | tail
                  fglrx: Unknown symbol firegl_cmmqs_get_pageaddr_from_vm
                  fglrx: Unknown symbol firegl_cail_powerdown
                  fglrx: Unknown symbol firegl_cail_powerup
                  [[email protected] ~]#


                  Any suggestions?

                  Comment


                  • #29
                    Originally posted by MikeL View Post
                    I am unable to load the FGLRX kernel module for some reason.

                    [[email protected] ~]# modprobe -i fglrx
                    FATAL: Error inserting fglrx (/lib/modules/2.6.18-1.2849.fc6PAE/extra/fglrx/fglrx.ko): Unknown symbol in module, or unknown parameter (see dmesg)
                    [[email protected] ~]# dmesg | tail
                    fglrx: Unknown symbol firegl_cmmqs_get_pageaddr_from_vm
                    fglrx: Unknown symbol firegl_cail_powerdown
                    fglrx: Unknown symbol firegl_cail_powerup
                    [[email protected] ~]#


                    Any suggestions?
                    What kernel and graphics card are you using?
                    Michael Larabel
                    http://www.michaellarabel.com/

                    Comment


                    • #30
                      Ah, figured I forgot something

                      Anyway:
                      2.6.18-1.2849.fc6PAE and a Radeon 9200SE.

                      Comment

                      Working...
                      X